﻿
--[[
 Conventions: Tags [TAQ], Real Name [Ahn'Qiraj], Display Name [Ahn'Qiraj Temple]
   tags         - for having a unique identifier for a zone reguardles of anyting else, changesin game, locale or whatever
   real name    - for mappign when GetRealZowenName is called in an instance, this is the locale specific real instance name
   display name - the map name which is also locale specific for a zone
]]

RT_ITEMREG =       "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)%";
RT_ITEMREG_MULTI = "(|c%x+|Hitem:%d+:%d+:%d+:%d+:%d+:%d+:(%-?%d+):(%-?%d+):(%-?%d+)|h%[.-%]|h|r)x(%d+)%";

RaidTracker_Tags = {		-- tag = zone trigger name
	-- releases
	["REL0"]	= "World Event",
	["REL1"]	= "Classic",
	["REL2"]	= "The Burning Crusades",
	["REL3"]	= "Wrath of the Lich King",

	-- zones
	["WB"]		= "World Boss",
	["KM"]		= "Kalimdor",
	["KM:DWM"]	=  "Dustwallow Marsh",
	["KM:SIL"]	=  "Silithus",
	["KM:TAN"]	=  "Tanaris",
	["EK"]		= "Eastern Kingdoms",
	["EK:BRM"]	=  "Blackrock Mountain",
	["EK:STV"]	=  "Stranglethorn Vale",
	["EK:DWP"]	=  "Deadwind Pass",
	["EK:EPL"]	=  "Easterm Plaguelands",
	["OL"]		= "Outlands",
	["OL:BEM"]	=  "Blade's Edge Mountains",
	["NR"]		= "Northrend",
	["NR:BRT"]	=  "Borean Tundra",
	["NR:CLD"]	=  "Coldarra",
	["NR:NEX"]	=  "The Nexus",
	["NR:UTG"]	=  "Utgarde Keep",
	["NR:PON"]	=  "Pit of Narjun",
	["NR:DAL"]	=  "Dalaran",
	["NR:UDR"]	=  "Ulduar",
	["NR:ZDK"]	=  "Zul'Drak",
	["NR:WRT"]	=  "Wyrmrest Temple",
	["NR:WRT"]	=  "Wintergrasp Keep",
	["NR:ICR"]	=  "Icecrown",
	["NR:ICG"]	=  "Icecrown Glacier",
};

RaidTracker_GameReleases = { 0, 1, 2, 3 }; 

RaidTracker_Zones = {
	-- ALL
	["World Boss"]					= { id=0,  pid=0,  rel=0, tag="", loc="WB",     type="Raid",  man=40, min=0,  ran="60",		name="World Boss", },
	-- CLASIC
	["Teldrassil"]					= { id=0,  pid=0,  rel=1, tag="", loc="KM",		type="Raid",  man=40, min=58, ran="1-12",	name="Teldrassil", },
	["Molten Core"]					= { id=1,  pid=4,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=58, ran="60+",	name="Molten Core", },
	["Blackwing Lair"]				= { id=2,  pid=6,  rel=1, tag="", loc="EK:BRM", type="Raid",  man=40, min=60, ran="60++",	name="Blackwing Lair", },
	["Onyxia's Lair"]				= { id=3,  pid=5,  rel=1, tag="", loc="KM:DWM", type="Raid",  man=40, min=58, ran="60+",	name="Onyxia's Lair", },
	["Zul'Gurub"]					= { id=4,  pid=1,  rel=1, tag="", loc="EK:STV", type="Raid",  man=20, min=56, ran="60",		name="Zul'Gurub", },
	["Ruins of Ahn'Qiraj"]			= { id=5,  pid=2,  rel=1, tag="", loc="KM:TAN", type="Raid",  man=20, min=58, ran="60",		name="Ruins of Ahn'Qiraj", },
	["Ahn'Qiraj"]					= { id=6,  pid=3,  rel=1, tag="", loc="KM:TAN", type="Raid",  man=40, min=60, ran="60+",	name="Ahn'Qiraj", },
	["Naxxramas1"]					= { id=7,  pid=7,  rel=1, tag="", loc="EK:STV", type="Raid",  man=40, min=60, ran="60+++",	name="Naxxramas", },
	-- TBC
	["Karazhan"]					= { id=8,  pid=8,  rel=2, tag="", loc="EK:DWP", type="Raid",  man=10, min=68, ran="70+",	name="Karazhan", },
	["Gruul's Lair"]				= { id=9,  pid=9,  rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=68, ran="70+",	name="Gruul's Lair", },
	["Magtheridon's Lair"]			= { id=10, pid=10, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=68, ran="70+",	name="Magtheridon's Lair", },
	["Serpentshrine Cavern"]		= { id=11, pid=12, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70++",	name="Serpentshrine Cavern", },
	["Tempest Keep"]				= { id=12, pid=13, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70++",	name="Tempest Keep", },
	["Hyjal Summit"]				= { id=13, pid=14, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Hyjal Summit", },
	["Black Temple"]				= { id=14, pid=15, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Black Temple", },
	["Zul'Aman"]					= { id=15, pid=11, rel=2, tag="", loc="OL:BEM", type="Raid",  man=10, min=70, ran="70++",	name="Zul'Aman", },
	["Sunwell Plateau"]				= { id=16, pid=16, rel=2, tag="", loc="OL:BEM", type="Raid",  man=25, min=70, ran="70+++",	name="Sunwell Plateau", },
	-- WOTLK
	["Utgarde Keep"]				= { id=17, pid=17, rel=3, tag="", loc="NR:UTG", type="Party", man=5,  min=65, ran="70-72",	name="Utgarde Keep", },
	["The Nexus"]					= { id=18, pid=18, rel=3, tag="", loc="NR:NEX", type="Party", man=5,  min=66, ran="71-73",	name="The Nexus", },
	["Azjol-Nerub"]					= { id=19, pid=19, rel=3, tag="", loc="NR:PON", type="Party", man=5,  min=67, ran="72-74",	name="Azjol-Nerub", },
	["Ahn'kahet: The Old Kingdom"]	= { id=20, pid=20, rel=3, tag="", loc="NR:PON", type="Party", man=5,  min=68, ran="73-75",	name="Ahn'kahet: The Old Kingdom", },
	["Drak'Tharon Keep"]			= { id=21, pid=21, rel=3, tag="", loc="NR:ZDK", type="Party", man=5,  min=69, ran="74-76",	name="Drak'Tharon Keep", },
	["The Violet Hold"]				= { id=22, pid=22, rel=3, tag="", loc="NR:DAL", type="Party", man=5,  min=70, ran="75-77",	name="The Violet Hold", },
	["Gundrak"]						= { id=23, pid=23, rel=3, tag="", loc="NR:ZDK", type="Party", man=5,  min=71, ran="76-78",	name="Gundrak", },
	["Halls of Stone"]				= { id=24, pid=24, rel=3, tag="", loc="NR:UDR", type="Party", man=5,  min=72, ran="77-79",	name="Halls of Stone", },
	["The Occlus"]					= { id=25, pid=25, rel=3, tag="", loc="NR:NEX", type="Party", man=5,  min=75, ran="80",		name="The Occlus", },
	["Utgarde Pinnacle"]			= { id=26, pid=26, rel=3, tag="", loc="NR:UTG", type="Party", man=5,  min=75, ran="80",		name="Utgarde Pinnacle", },
	["The Culling of Stratholme"]	= { id=27, pid=27, rel=3, tag="", loc="KM:TAN", type="Party", man=5,  min=75, ran="80",		name="The Culling of Stratholme", },
	["Halls of Lightning"]			= { id=28, pid=28, rel=3, tag="", loc="NR:UDR", type="Party", man=5,  min=75, ran="80",		name="Halls of Lightning", },
	["Naxxramas"]					= { id=29, pid=29, rel=3, tag="", loc="NR:NEX", type="Raid",  man=10, min=78, ran="80+",	name="Naxxramas", },
	["The Obsidian Sanctum"]		= { id=30, pid=30, rel=3, tag="", loc="NR:WRT", type="Raid",  man=25, min=78, ran="80+",	name="The Obsidian Sanctum", },
	["Vault of Archavon"]			= { id=31, pid=31, rel=3, tag="", loc="NR:WGK", type="Raid",  man=25, min=78, ran="80+",	name="Vault of Archavon", },
	["The Eye of Eternity"]			= { id=32, pid=32, rel=3, tag="", loc="NR:NEX", type="Raid",  man=25, min=80, ran="80++",	name="The Eye of Eternity", },
	["Ulduar Raid"]					= { id=33, pid=33, rel=3, tag="", loc="NR:UDR", type="Raid",  man=25, min=80, ran="80++",	name="Ulduar Raid", },
	["Icecrown Citadel"]			= { id=34, pid=34, rel=3, tag="", loc="NR:ICG", type="Raid",  man=25, min=80, ran="80+++",	name="Icecrown Citadel", },
};

-- this is realy jsut a lookup menu drop down list atm
--   really nice if to not jsut waste this on dropdowns
RaidTracker_Bosses = {

	["Trash mob"] = 1,

	["World Boss"] = {
		"Lord Kazzak", "Azuregos",													-- raid, tainted scar in blasted lands, Southeast Azshara
		"Emeriss", "Lethon", "Ysondre", "Taerar",									-- raid, emarlad dragons Duskwood (Twilight Grove), the Hinterlands (Seradane), Feralas (Dream Bough), and Ashenvale (Bough Shadow). 
		"Lord Skwol", "Baron Kazum", "High Marshal Whirlaxis", "Prince Skaldrenox", -- raid, silithus
		"Avalanchion", "Baron Charr", "Princess Tempestria", "The Windreaver",		-- party, elemental, azshara, unguro, Ruins of Kel'Theril in Winterspring, silithus
		-- tbc
		"Highlord Kruul", "Doom Lord Kazzak", "Doomwalker",
		-- wotlk
	},
	-- classic	
	["Teldrassil"] = { "Nightsaber Stalker", },
	["Molten Core"] = { "Lucifron", "Magmadar",	"Gehennas", "Garr", "Baron Geddon", "Shazzrah", "Sulfuron Harbinger", "Golemagg the Incinerator", "Majordomo Executus", "Ragnaros", },
	["Onyxia's Lair"] = { "Onyxia", },
	["Blackwing Lair"] = { "Razorgore the Untamed", "Vaelastrasz the Corrupt", "Broodlord Lashlayer", "Firemaw", "Ebonroc", "Flamegor",	"Chromaggus", "Nefarian", },
	["Zul'Gurub"] = { "High Priestess Jeklik", "High Priest Venoxis", "High Priestess Mar'li", "High Priest Thekal", "High Priestess Arlokk", "Hakkar", "Bloodlord Mandokir", "Jin'do the Hexxer", "Gahz'ranka", "Hazza'rah", "Gri'lek", "Renataki", "Wushoolay", },		
	["Ahn'Qiraj"] = { "The Prophet Skeram", "Fankriss the Unyielding", "Battleguard Sartura", "Princess Huhuran", "Twin Emperors", "C'Thun", "Vem", "Princess Yauj", "Lord Kri", "Viscidus", "Ouro", },
	["Ruins of Ahn'Qiraj"] = { "Kurinnaxx", "General Rajaxx", "Ayamiss the Hunter", "Moam", "Buru The Gorger", "Ossirian The Unscarred", },
	["Emerald Dragon"] = { "Ysondre", "Taerar", "Emeriss", "Lethon", },

	-- TBC
	["Karazhan"] = { "Attumen the Huntsman", "Moroes", "Maiden of Virtue",
		["Theater Event"] = { "Unknown", "The Crone", "The Big Bad Wolf", "Romulo and Julianne", },
		"The Curator", "Terestian Illhoof",	"Shade of Aran", "Chess Event", "Prince Malchezaar", "Netherspite", "Nightbane",
		"Rokad the Ravager", "Hyakiss the Lurker", "Shadikith the Glider", "Echo of Medivh", "Image of Medivh",	},
	["Gruul's Lair"] = { "High King Maulgar", "Gruul the Dragonkiller", },
	["Magtheridon's Lair"] = { "Magtheridon", },
	["Serpentshrine Cavern"] = { "Hydross the Unstable", "The Lurker Below", "Leotheras the Blind", "Fathom-Lord Karathress", "Morogrim Tidewalker", "Lady Vashj", },
	["Caverns Of Time"] = { "Unknown", },
	["Black Temple"] = { "High Warlord Naj'entus", "Supremus", "Gurtogg Bloodboil", "Teron Gorefiend", "Shade of Akama", "Reliquary of Souls", "Mother Shahraz", "Illidari Council", "Illidan Stormrage", },
	["Tempest Keep"] = { "Al'ar", "High Astromancer Solarian", "Void Reaver", "Kael'thas Sunstrider", },
	["Hyjal Summit"] = { "Rage Winterchill", "Anetheron", "Kaz'rogal", "Azgalor", "Archimonde", },
	["Zul'Aman"] = { "Nalorakk", "Akil'Zon", "Jan'Alai", "Halazzi", "Witch Doctor", "Hex Lord Malacrass", "Zul'jin", },
	["Sunwell Plateau"] = { "Kalecgos", "Sathrovarr the Corruptor", "Brutallus", "Felmyst", "Eredar Twins", "Entropius", "Kil'jaeden", },

	-- WOTLK
	["Utgarde Keep"] = { "Dalronn the Controller", "Skarvald the Constructor", "Ingvar the Plunderer", "Prince Keleseth", },  -- "Constructor & Controller", --these are one encounter, so we do this as an encounter name
	["The Nexus"] = { "Anomalus", "Commander Stoutbeard", "Grand Magus Telestra", "Keristrasza", "Ormorok the Tree-Shaper", },
	["Azjol-Nerub"] = { "Anub'arak", "Hadronox", "Krik'thir the Gatewatcher", },
	["Ahn'kahet: The Old Kingdom"]	= { "Amanitar", "Elder Nadox", "Herald Volazj", "Jedoga Shadowseeker", "Prince Taldaram", },
	["Drak'Tharon Keep"] = { "King Dred", "Novos the Summoner", "The Prophet Tharon'ja", "Trollgore", },
	["The Violet Hold"] = { "Cyanigosa", "Erekem", "Ichoron", "Lavanthor", "Moragg", "Xevozz", "Zuramat the Obliterator", },
	["Gundrak"] = { "Eck the Ferocious", "Drakkari Colossus", "Gal'darah", "Moorabi", "Slad'ran", },
	["Halls of Stone"] = { "Krystallus", "Maiden of Grief", "Sjonnir The Ironshaper", "The Tribunal of Ages", },
	["The Occlus"] = { "Drakos the Interrogator", "Ley-Guardian Eregos", "Mage-Lord Urom", "Varos Cloudstrider", },
	["Utgarde Pinnacle"] = { "Skadi the Ruthless", "King Ymiron", "Svala Sorrowgrave", "Gortok Palehoof", },
	["The Culling of Stratholme"] = { "Meathook", "Chrono-Lord Epoch", "Mal'Ganis", "Salramm the Fleshcrafter", },
	["Halls of Lightning"] = { "General Bjarngrim", "Ionar", "Loken", "Volkhan", },
	["Naxxramas"] = { "Patchwerk", "Grobbulus", "Gluth", "Thaddius", "Instructor Razuvious", "Gothik the Harvester", "Highlord Mograine", "Thane Korth'azz", "Lady Blaumeux", "Sir Zeliek", "Noth The Plaguebringer", "Heigan the Unclean", "Loatheb", "Anub'Rekhan", "Grand Widow Faerlina", "Maexxna", "Sapphiron", "Kel'Thuzad", },
	["The Obsidian Sanctum"] = { "Sartharion", "Shadron", "Tenebron", "Vesperon", },
	["Vault of Archavon"] = { "Archavon the Stone Watcher", },
	["The Eye of Eternity"] = { "Malygos", },
	["Ulduar Raid"]					= {  },
	["Icecrown Citadel"]			= {  },
};

RaidTracker_BossTriggers = {
	["Lucifron"] = "Lucifron",
	["Magmadar"] = "Magmadar",
	["Gehennas"] = "Gehennas",
	["Garr"] = "Garr",
	["Baron Geddon"] = "Baron Geddon",
	["Shazzrah"] = "Shazzrah",
	["Sulfuron Harbinger"] = "Sulfuron Harbinger",
	["Golemagg the Incinerator"] = "Golemagg the Incinerator",
	["Majordomo Executus"] = "Majordomo Executus",
	["Ragnaros"] = "Ragnaros",
	["Razorgore the Untamed"] = "Razorgore the Untamed",
	["Vaelastrasz the Corrupt"] = "Vaelastrasz the Corrupt",
	["Broodlord Lashlayer"] = "Broodlord Lashlayer",
	["Firemaw"] = "Firemaw",
	["Ebonroc"] = "Ebonroc",
	["Flamegor"] = "Flamegor",
	["Chromaggus"] = "Chromaggus",
	["Nefarian"] = "Nefarian",
	["Lord Victor Nefarius"] = "Nefarian",

	["High Priestess Jeklik"] = "High Priestess Jeklik",
	["High Priest Venoxis"] =	"High Priest Venoxis",
	["High Priestess Mar'li"] =	"High Priestess Mar'li",
	["High Priest Thekal"] = "High Priest Thekal",
	["High Priestess Arlokk"] =	"High Priestess Arlokk",
	["Hakkar"] = "Hakkar",
	["Bloodlord Mandokir"] = "Bloodlord Mandokir",
	["Jin'do the Hexxer"] = "Jin'do the Hexxer",
	["Gahz'ranka"] = "Gahz'ranka",
	["Hazza'rah"] = "Hazza'rah",
	["Gri'lek"] = "Gri'lek",
	["Renataki"] = "Renataki",
	["Wushoolay"] = "Wushoolay",

	["Onyxia"] = "Onyxia",
	["Lord Kazzak"] = "Lord Kazzak",
	["Azuregos"] = "Azuregos",
	["Ysondre"] = "Ysondre",
	["Taerar"] = "Taerar",
	["Emeriss"] = "Emeriss",
	["Lethon"] = "Lethon",

	["Kurinnaxx"] = "Kurinnaxx",
	["General Rajaxx"] = "General Rajaxx",
	["Ayamiss the Hunter"] = "Ayamiss the Hunter",
	["Buru the Gorger"] = "Buru The Gorger",
	["Moam"] = "Moam",
	["Ossirian the Unscarred"] = "Ossirian The Unscarred",

	["The Prophet Skeram"] = "The Prophet Skeram",
	["Fankriss the Unyielding"] = "Fankriss the Unyielding",
	["Battleguard Sartura"] = "Battleguard Sartura",
	["Princess Huhuran"] = "Princess Huhuran",
	["Emperor Vek'lor"] = "Twin Emperors",
	["Emperor Vek'nilash"] = "Twin Emperors",
	["C'Thun"] = "C'Thun",
	["Vem"] = "Vem",
	["Princess Yauj"] = "Princess Yauj",
	["Lord Kri"] = "Lord Kri",
	["Viscidus"] = "Viscidus",
	["Ouro"] = "Ouro",

	["Patchwerk"] = "Patchwerk",
	["Grobbulus"] = "Grobbulus",
	["Gluth"] = "Gluth",
	["Thaddius"] = "Thaddius",
	["Instructor Razuvious"] = "Instructor Razuvious",
	["Gothik the Harvester"] = "Gothik the Harvester",
	["Highlord Mograine"] = "Highlord Mograine",
	["Thane Korth'azz"] = "Thane Korth'azz",
	["Lady Blaumeux"] = "Lady Blaumeux",
	["Sir Zeliek"] = "Sir Zeliek",
	["Noth The Plaguebringer"] = "Noth The Plaguebringer",
	["Heigan the Unclean"] = "Heigan the Unclean",
	["Loatheb"] = "Loatheb",
	["Anub'Rekhan"] = "Anub'Rekhan",
	["Grand Widow Faerlina"] = "Grand Widow Faerlina",
	["Maexxna"] = "Maexxna",
	["Sapphiron"] = "Sapphiron",
	["Kel'Thuzad"] = "Kel'Thuzad",


	-- TBC
	--Karazhan
	["Doom Lord Kazzak"] = "Doom Lord Kazzak",
	["Doomwalker"] = "Doomwalker",
	["Attumen the Huntsman"] = "Attumen the Huntsman",
	["Maiden of Virtue"] = "Maiden of Virtue",
	["Moroes"] = "Moroes",
	["Netherspite"] = "Netherspite",
	["Nightbane"] = "Nightbane",
	["Prince Malchezaar"] = "Prince Malchezaar",
	["Shade of Aran"] = "Shade of Aran",
	["Terestian Illhoof"] = "Terestian Illhoof",
	["The Big Bad Wolf"] = "The Big Bad Wolf",
	["The Crone"] = "The Crone",
	["The Curator"] = "The Curator",
	["Rokad the Ravager"] = "Rokad the Ravager",
	["Hyakiss the Lurker"] = "Hyakiss the Lurker",
	["Shadikith the Glider"] = "Shadikith the Glider",
	["Chess Event"] = "Chess Event",
	["Julianne"] = "Romulo and Julianne",
	["Echo of Medivh"] = "Echo of Medivh",
	["Image of Medivh"] = "Image of Medivh",
	-- Zul'Aman
	["Nalorakk"] = "Nalorakk",
	["Akil'Zon"] = "Akil'zon",
	["Jan'Alai"] = "Jan'alai",
	["Halazzi"] = "Halazzi",
	["Witch Doctor"] = "Witch Doctor",
	["Hex Lord Malacrass"] = "Hex Lord Malacrass",
	["Zul'jin"] = "Zul'jin",
	--Gruul
	["High King Maulgar"] = "High King Maulgar",
	["Gruul the Dragonkiller"] = "Gruul the Dragonkiller",
	-- Magtheridon
	["Magtheridon"] = "Magtheridon",
	--Serpentshrine Cavern
	["Hydross the Unstable"] = "Hydross the Unstable",
	["The Lurker Below"] = 		"The Lurker Below",
	["Leotheras the Blind"] = "Leotheras the Blind",
	["Fathom-Lord Karathress"] = "Fathom-Lord Karathress",
	["Morogrim Tidewalker"] = "Morogrim Tidewalker",
	["Lady Vashj"] = "Lady Vashj",
	--Black Temple
	["High Warlord Naj'entus"] = "High Warlord Naj'entus",
	["Supremus"] = "Supremus",
	["Gurtogg Bloodboil"] = "Gurtogg Bloodboil",
	["Teron Gorefiend"] = "Teron Gorefiend",
	["Shade of Akama"] = "Shade of Akama",
	["Essence of Anger"] = "Reliquary of Souls",
	["Mother Shahraz"] = "Mother Shahraz",
	 ["Gathios the Shatterer"] = "Illidari Council",
	 ["High Nethermancer Zerevor"] = "Illidari Council",
	 ["Lady Malande"] = "Illidari Council",
	 ["Veras Darkshadow"] = "Illidari Council",
	["Illidan Stormrage"] = "Illidan Stormrage",
	--Tempest Keep: The Eye
	["Al'ar"] = "Al'ar",
	["High Astromancer Solarian"] = "High Astromancer Solarian",
	["Void Reaver"] = "Void Reaver",
	["Kael'thas Sunstrider"] = "Kael'thas Sunstrider",
	["Lord Illidan Stormrage"] = "Lord Illidan Stormrage",
	["Highlord Kruul"] = "Highlord Kruul",

	--Battle of Mount Hyjal
	["Rage Winterchill"] = "Rage Winterchill",
	["Anetheron"] = "Anetheron",
	["Kaz'rogal"] = "Kaz'rogal",
	["Azgalor"] = "Azgalor",
	["Archimonde"] = "Archimonde",

	--Sunwell Plateau
	["Kalecgos"] =  "IGNORE", -- Kalecgos
	["Sathrovarr the Corruptor"] = "Kalecgos",
	["Brutallus"] = "Brutallus",
	["Felmyst"] = "Felmyst",
	["Lady Sacrolash"] = "Eredar Twins",
	["Grand Warlock Alythess"] = "Eredar Twins",
	["Entropius"] = "Entropius",
	["Kil'jaeden"] = "Kil'jaeden",

	-- TBC

	["DEFAULTBOSS"] = "Trash mob",
};

local bt = RaidTracker_BossTriggers
for k,v in pairs(RaidTracker_Bosses) do
	if type(v) == "table" then
		for k1,v1 in pairs(v) do
			if type(v1) ~= "table" then
				if not bt[v1] then  bt[v1] = v1 end
			end
		end
	end
end

